# MessageBoxButtons

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.1.0.0)

Specifies constants defining which buttons to display on a [MessageBox](/api/v3.1/wisej.web/notifications/messagebox.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MessageBoxButtons : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MessageBoxButtons As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                 | Description                                                |
| -------------------- | ---------------------------------------------------------- |
| **AbortRetryIgnore** | The message box contains Abort, Retry, and Ignore buttons. |
| **Cancel**           | The message box contains a Cancel button.                  |
| **No**               | The message box contains a No button.                      |
| **OK**               | The message box contains an OK button.                     |
| **OKCancel**         | The message box contains OK and Cancel buttons.            |
| **RetryCancel**      | The message box contains Retry and Cancel buttons.         |
| **Yes**              | The message box contains a Yes button.                     |
| **YesNo**            | The message box contains Yes and No buttons.               |
| **YesNoCancel**      | The message box contains Yes, No, and Cancel buttons.      |

## Used By

| Name                                                                                                                                                               | Description                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------- |
| [MessageBox.Show](/api/v3.1/wisej.web/notifications/messagebox.md#show-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft-onclose)   | Displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button.                |
| [MessageBox.ShowAsync](/api/v3.1/wisej.web/notifications/messagebox.md#showasync-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft) | Asynchronously displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.1/wisej.web/notifications/messagebox/wisej.web.messageboxbuttons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
